picard.sam.util

## Class PhysicalLocationInt

- java.lang.Object
- - picard.sam.util.PhysicalLocationInt

- All Implemented Interfaces:
    PhysicalLocation
  Direct Known Subclasses:
    PhysicalLocationShort

      public class PhysicalLocationInt
      extends Object
      implements PhysicalLocation

  Small class that provides access to the physical location information about a cluster. All values should be defaulted to -1 if unavailable. Tile should only allow non-zero positive integers, x and y coordinates must be non-negative. This is different from PhysicalLocationShort in that the x and y positions are ints, not shorts thus, they do not overflow within a HiSeqX tile.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `tile`
    `int` | `x`
    `int` | `y`

    - ### Fields inherited from interface picard.sam.util.PhysicalLocation

      `NO_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhysicalLocationInt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getLibraryId()`
    `short` | `getReadGroup()`
    `short` | `getTile()`
    `int` | `getX()`
    `int` | `getY()`
    `void` | `setLibraryId(short libraryId)`
    `void` | `setReadGroup(short readGroup)`
    `void` | `setTile(short tile)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.util.PhysicalLocation

      `hasLocation`

- - ### Field Detail

    - #### tile

          public short tile

    - #### x

          public int x

    - #### y

          public int y

  - ### Constructor Detail

    - #### PhysicalLocationInt

          public PhysicalLocationInt()

  - ### Method Detail

    - #### getReadGroup

          public short getReadGroup()

      Specified by:
        `getReadGroup` in interface `PhysicalLocation`

    - #### setReadGroup

          public void setReadGroup(short readGroup)

      Specified by:
        `setReadGroup` in interface `PhysicalLocation`

    - #### getTile

          public short getTile()

      Specified by:
        `getTile` in interface `PhysicalLocation`

    - #### setTile

          public void setTile(short tile)

      Specified by:
        `setTile` in interface `PhysicalLocation`

    - #### getX

          public int getX()

      Specified by:
        `getX` in interface `PhysicalLocation`

    - #### setX

          public void setX(int x)

      Specified by:
        `setX` in interface `PhysicalLocation`

    - #### getY

          public int getY()

      Specified by:
        `getY` in interface `PhysicalLocation`

    - #### setY

          public void setY(int y)

      Specified by:
        `setY` in interface `PhysicalLocation`

    - #### getLibraryId

          public short getLibraryId()

      Specified by:
        `getLibraryId` in interface `PhysicalLocation`

    - #### setLibraryId

          public void setLibraryId(short libraryId)

      Specified by:
        `setLibraryId` in interface `PhysicalLocation`